#
# $Id: Makefile.cygwin,v 1.7 2005/05/11 08:31:28 olafs Exp $
#

TOP = ../../..
include $(TOP)/Makefile.cygwin.include

CFLAGS += -DPMRTS -DRTS -I $(TOP)/gen/src

OBJS = rts.o rtsio.o rtsopt.o rtscode.o rtsagfl.o \
       rtslex.o rtstime.o rtsesc.o pattern.o regex.o \
       posmemo.o rtstrelinp.o dfa.o getopt.o

libpmrts.a: $(OBJS) pattern.h
	ar rv $@ $(OBJS)
	ranlib $@
	cp $@ $(TOP)/agfl-binary/lib

# This is a very sloppy dependency:
%.c:
	cp ../*.c .
	cp ../*.h .
	cp ../../src/pattern.c ../../src/pattern.h . 
	cp ../../src/dfa.c ../../src/dfa.h .
	cp ../../src/regex.c ../../src/regex.h .

clean:
	rm -f *.o
	rm -f libpmrts.a
